DeletionDetails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.shared.dvr
Class DeletionDetails

    java.lang.Object
      org.ocap.shared.dvr.DeletionDetails

    public class DeletionDetails

extends Object

This class contains details about the deletion of a recorded service. Instances of this class are constructed by the implementation and returned to applications from the method `getDeletionDetails` method.

Field Summary
`static int` | `EXPIRED` Reason code : The recorded service was deleted by the implementation because the recording request has expired.
`static int` | `USER_DELETED` Reason code : The recorded service was explicitly deleted by the application.

Constructor Summary
`DeletionDetails(int reason, Date date)` Constructs a DeletionDetails

Method Summary
`Date` | `getDeletionTime()` Gets the date and time when the recorded service was deleted.
`int` | `getReason()` Reports the reason for why the recorded service was deleted.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXPIRED

    public static final int EXPIRED

  Reason code : The recorded service was deleted by the implementation because the recording request has expired.

  See Also:
    Constant Field Values

### USER_DELETED

    public static final int USER_DELETED

  Reason code : The recorded service was explicitly deleted by the application.

  See Also:
    Constant Field Values

Constructor Detail

### DeletionDetails

    public DeletionDetails(int reason,
                           Date date)

  Constructs a DeletionDetails

  Parameters:
    `reason` - the reason why the recorded service was deleted
    `date` - the date and time the recorded service was deleted

Method Detail

### getReason

    public int getReason()

  Reports the reason for why the recorded service was deleted. This is the value as passed in to the constructor.

  Returns:
    the reason code for which the recorded service was deleted.

### getDeletionTime

    public Date getDeletionTime()

  Gets the date and time when the recorded service was deleted. This is the value as passed in to the constructor.

  Returns:
    the deletion date and time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD